Subject: [Asrg] 4.d List of possible consent decisions

From: "John Fenley" <[email-masked]>
Date: Tue, 29 Jul 2003 13:17:15 -0600

I have created a list of decisions that I feel allow the user to form a 
fairly complete consent model with minimal work.

All the options in this list would be possible to implement automatically 
through the Choicelist system with a few modifications that I have been 
working on. Mostly third party lists, and Choicelist personal.

I realize that many of the items in this list have been discussed here 
before, but I have found that tracking down the original poster of different 
ideas is difficult.

List of choices that CAN be made by the recipient:
========================
Give feedback:
Yes, No, Selectively.
Default: Yes

Feedback allows a sender to see how you handle their mail. It tells bulk 
mailers that you do or don’t want what they are sending, by telling them if 
you are ignoring them, or requesting that you receive their mailing if you 
aren’t currently. This lowers costs to everyone over the long run.

Selective mode asks you before sending a message.
========================
Receive bulk email:
List valid Choicelist bulk email Ids.
Default: No entries
Default: each entry in a different folder
========================
Receive bulk introductions:
Yes, No, Timed.
Default: Yes

A bulk introduction is a short blurb giving the name of the id responsible 
for the message, and asking if you would like to add them to your list, or 
ignore them forever.

The timed option allows only Ids that were created before a certain date, or 
a number of days/months/years ago to be introduced. This proves a  measure 
of  stability on the part of the sender.
========================
Receive “ADV:” labeled mail:
Yes, no.
Default: Yes
Default: placed in ADV folder and deleted after 30 days.
========================
Whitelist / blacklist:
List addresses or ids to block/allow.
Default: No entries
========================
Receive personal email:
Yes, No, Timed.
Default: Yes

The timed option makes Personal mail wait an amount of time before it is 
delivered. This raises the chance that a spamming personal Id will be 
terminated before the spam is delivered.
========================
Receive/block mail from third party lists:
List all valid Choicelist third party lists, and select block, or allow, 
plus handling options.
Default: No entries

Lists are evaluated first to last, as a party may be on more than one list.
The last entry that mentions a party gives the final destination of mail 
from them.
Eg:
City Highschool: (allow): [school]
City Highschool bullies: (block)
Tim’s friends: (allow): [Tim’s friends]

Everyone from city highschool will go in the school folder unless they’re a 
bully or Tim’s friend, while all of Tim’s friends go in the Tim’s friends 
folder even if they go to city high or are a bully.
Bullies who are not Tim’s friend go to the trash.

These groups must be created and registered before being used.
IP based lists may be added as well, though these only affect non-Choicelist 
registered mail.
Anyone not on these lists is unaffected by these options.
Anyone can create a list, and put anyone on it. This list is then made 
public, though it will be encrypted.
These lists can be updated by the list controler.
========================
Third party filters:
List Choicelist compatible filters here.
Default: No entries

These are filters that have been interfaced with Choicelist.
These filters are run according to the makers specifications, but user 
options may be set up if available.
When a filter is put here it should just work.
========================
Miscellaneous filters:
Run other filters here.
Default: No filters

Possibly run on a virtual machine to prevent unauthorized actions unrelated 
to email.
Filters that need to be messed with go here.
========================
Where unknown, unfiltered mail goes:
Specify folder.
Default: Inbox 2
========================

In the default configuration, mail from businesses would be introduced, and 
all registered personal mail would be delivered. ADV: labeled mail is 
temporarily put in a folder to be deleted automatically.
Everything else would go into a second inbox to be dealt with later.

I think theses options would handle most basic to advanced consent models.
The ability to filter based on group membership, I feel, would be especially 
useful in defining consent.
Does anyone have any other choices that a user should be able to make as far 
as consent goes?

John Fenley
www.choicelist.com

_________________________________________________________________
The new MSN 8: advanced junk mail protection and 2 months FREE*  
http://join.msn.com/?page=features/junkmail

_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg